PUT /api/v202210/meter/{meterId}/ghgsetting Deprecated

Edit the configured GHG scope and factor for a meter. GHG License is required to call this endpoint.

EditMeterGHGSettingsV202210 Permissions: Meters (Edit)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
meterId The meter to edit GHG settings on integer (int32) Required

Request Body

GHGSettingRequestV202210
Property Description Type
factorId The GHG factor to set Required integer (int32)
scopeCategoryId The GHG Scope Category to set Required integer (int32)
Example Request Body application/json
{  "factorId": 1,  "scopeCategoryId": 1
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

GHGSettingResponseV202210
Property Description Type
factor GHGFactorV202210
GHGFactorV202210 properties
Property Description Type
factorCategory GHGFactorCategoryV202210
GHGFactorCategoryV202210 properties
Property Description Type
factorCategoryId The Factor Category identifier integer (int32)
factorCategoryInfo The Factor Category Info string
factorDescription The Factor Description string
factorId The Factor Identifier integer (int32)
factorInfo The Factor Info string
factorType The GHG Factor type. Values for this field can be “use meter address” or “specific factor” string
isConfigured Flag indicating whether or not configuration exists for this meter. If false, EnergyCap.DTO.V202210.GHG.GHGSettingResponseDTO.Factor or EnergyCap.DTO.V202210.GHG.GHGSettingResponseDTO.ScopeCategory may be null. boolean
scopeCategory GHGScopeCategoryV202210
GHGScopeCategoryV202210 properties
Property Description Type
scope GHGScopeV202210
GHGScopeV202210 properties
Property Description Type
scopeId The Scope Identifier integer (int32)
scopeInfo The Scope Info string
scopeCategoryDescription The GHG Scope Category Description string
scopeCategoryId The GHG Scope Category Identifier integer (int32)
scopeCategoryInfo The GHG Scope Category Info string
usingDefaultSettings If true, this meter is using the default GHG settings that were in effect at the time the meter was created boolean
Example Response application/json
{  "factor": {    "factorCategory": {      "factorCategoryId": 1,      "factorCategoryInfo": "string"
    },    "factorDescription": "string",    "factorId": 1,    "factorInfo": "string",    "factorType": "string"
  },  "isConfigured": false,  "scopeCategory": {    "scope": {      "scopeId": 1,      "scopeInfo": "string"
    },    "scopeCategoryDescription": "string",    "scopeCategoryId": 1,    "scopeCategoryInfo": "string"
  },  "usingDefaultSettings": false
}